LIMS Supported Web Browsers

Below are the web browsers supported by LIMS:

  • Microsoft Internet Explorer 10 and 11
  • Chrome 37 or higher
  • Safari 6 (Mac OS only)

A warning message may be shown on your login page if your browser is not supported. 

An important note regarding support for IE 11. Please make sure you do not have IE 11 set in compatibility mode. For IE 11 it seems to default intranet sites to compatibility mode. LIMS is built to run in full IE 11 and not compatibility mode.